Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PolicyManager_var Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA_PolicyManager_var

[legend]
Collaboration diagram for CORBA_PolicyManager_var:

[legend]
List of all members.

## Public Methods
| CORBA_PolicyManager_var (void)
| CORBA_PolicyManager_var (CORBA_PolicyManager_ptr p)
| CORBA_PolicyManager_var (const CORBA_PolicyManager_var &)
| ~CORBA_PolicyManager_var (void)
CORBA_PolicyManager_var& | operator= (CORBA_PolicyManager_ptr)
CORBA_PolicyManager_var& | operator= (const CORBA_PolicyManager_var &)
CORBA_PolicyManager_ptr | operator-> (void) const
| operator const CORBA_PolicyManager_ptr & () const
| operator CORBA_PolicyManager_ptr & ()
CORBA_PolicyManager_ptr | in (void) const
CORBA_PolicyManager_ptr& | inout (void)
CORBA_PolicyManager_ptr& | out (void)
CORBA_PolicyManager_ptr | _retn (void)
CORBA_PolicyManager_ptr | ptr (void) const
## Static Public Methods
CORBA_PolicyManager_ptr | tao_duplicate (CORBA_PolicyManager_ptr)
void | tao_release (CORBA_PolicyManager_ptr)
CORBA_PolicyManager_ptr | tao_nil (void)
CORBA_PolicyManager_ptr | tao_narrow (CORBA::Object *, CORBA::Environment &)
CORBA::Object* | tao_upcast (void *)
## Private Methods
| CORBA_PolicyManager_var (const TAO_Base_var &rhs)
CORBA_PolicyManager_var& | operator= (const TAO_Base_var &rhs)
## Private Attributes
CORBA_PolicyManager_ptr | ptr_

## Constructor & Destructor Documentation

CORBA_PolicyManager_var::CORBA_PolicyManager_var ( | void )

CORBA_PolicyManager_var::CORBA_PolicyManager_var ( | CORBA_PolicyManager_ptr p )`[inline]`

CORBA_PolicyManager_var::CORBA_PolicyManager_var ( | const CORBA_PolicyManager_var & )

CORBA_PolicyManager_var::~CORBA_PolicyManager_var ( | void )

CORBA_PolicyManager_var::CORBA_PolicyManager_var ( | const TAO_Base_var & rhs )`[private]`

## Member Function Documentation

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::_retn ( | void )

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::in ( | void ) const

CORBA_PolicyManager_ptr & CORBA_PolicyManager_var::inout ( | void )

CORBA_PolicyManager_var::operator CORBA_PolicyManager_ptr & ( | )

CORBA_PolicyManager_var::operator const CORBA_PolicyManager_ptr & ( | ) const

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::operator-> ( | void ) const

CORBA_PolicyManager_var& CORBA_PolicyManager_var::operator= ( | const TAO_Base_var & rhs )`[private]`

CORBA_PolicyManager_var& CORBA_PolicyManager_var::operator= ( | const CORBA_PolicyManager_var & )

CORBA_PolicyManager_var & CORBA_PolicyManager_var::operator= ( | CORBA_PolicyManager_ptr p )

CORBA_PolicyManager_ptr & CORBA_PolicyManager_var::out ( | void )

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::ptr ( | void ) const

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::tao_duplicate ( | CORBA_PolicyManager_ptr p )`[static]`

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::tao_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::tao_nil ( | void )`[static]`

void CORBA_PolicyManager_var::tao_release ( | CORBA_PolicyManager_ptr p )`[static]`

CORBA::Object * CORBA_PolicyManager_var::tao_upcast ( | void * src )`[static]`

## Member Data Documentation

CORBA_PolicyManager_ptr CORBA_PolicyManager_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp